bind = SUPER, W, killactive,
bind = SUPER, P, pseudo,
bind = SUPER, J, layoutmsg, togglesplit
bind = SUPER, F, togglefloating,
bind = SUPER, H, resizewindowpixel,100 100,
bind = SUPER SHIFT, F, fullscreenstate, 3 3
bind = SUPER ALT, F, fullscreenstate, 1 1

bind = SUPER, O, togglefloating,
bind = SUPER, O, pin,

# Move focus
bind = SUPER, left, movefocus, l
bind = SUPER, right, movefocus, r
bind = SUPER, up, movefocus, u
bind = SUPER, down, movefocus, d

# Cycle through applications on active workspace (ПЕРЕРАБОТАТЬ)
bind = ALT, TAB, cyclenext,
bind = ALT SHIFT, TAB, cyclenext, prev
bind = ALT, TAB, bringactivetotop,
bind = ALT SHIFT, TAB, bringactivetotop,

# Switch workspaces
bind = SUPER, 1, workspace, 1
bind = SUPER, 2, workspace, 2
bind = SUPER, 3, workspace, 3
bind = SUPER, 4, workspace, 4
bind = SUPER, 5, workspace, 5
bind = SUPER, 6, workspace, 6
bind = SUPER, 7, workspace, 7
bind = SUPER, 8, workspace, 8
bind = SUPER, 9, workspace, 9
bind = SUPER, 0, workspace, 10

# TAB between workspaces
bind = SUPER, TAB, workspace, e+1
bind = SUPER SHIFT, TAB, workspace, e-1
bind = SUPER ALT, TAB, workspace, previous

# Scroll through existing workspaces
bind = SUPER, mouse_down, workspace, e+1
bind = SUPER, mouse_up, workspace, e-1

# Swap active window
bind = SUPER SHIFT, left, swapwindow, l
bind = SUPER SHIFT, right, swapwindow, r
bind = SUPER SHIFT, up, swapwindow, u
bind = SUPER SHIFT, down, swapwindow, d

#Move window with mouse
bindm = SUPER, mouse:272, movewindow

# Move active window to a workspace
bind = SUPER SHIFT, 1, movetoworkspace, 1
bind = SUPER SHIFT, 2, movetoworkspace, 2
bind = SUPER SHIFT, 3, movetoworkspace, 3
bind = SUPER SHIFT, 4, movetoworkspace, 4
bind = SUPER SHIFT, 5, movetoworkspace, 5
bind = SUPER SHIFT, 6, movetoworkspace, 6
bind = SUPER SHIFT, 7, movetoworkspace, 7
bind = SUPER SHIFT, 8, movetoworkspace, 8
bind = SUPER SHIFT, 9, movetoworkspace, 9
bind = SUPER SHIFT, 0, movetoworkspace, 10

# Move active window silently to a workspace
bind = SUPER SHIFT ALT, 1, movetoworkspacesilent, 1
bind = SUPER SHIFT ALT, 2, movetoworkspacesilent, 2
bind = SUPER SHIFT ALT, 3, movetoworkspacesilent, 3
bind = SUPER SHIFT ALT, 4, movetoworkspacesilent, 4
bind = SUPER SHIFT ALT, 5, movetoworkspacesilent, 5
bind = SUPER SHIFT ALT, 6, movetoworkspacesilent, 6
bind = SUPER SHIFT ALT, 7, movetoworkspacesilent, 7
bind = SUPER SHIFT ALT, 8, movetoworkspacesilent, 8
bind = SUPER SHIFT ALT, 9, movetoworkspacesilent, 9
bind = SUPER SHIFT ALT, 0, movetoworkspacesilent, 10

# Special workspace (scratchpad)
bind = SUPER, S, togglespecialworkspace, scratchpad
bind = SUPER SHIFT, S, movetoworkspace, special:scratchpad

# ДОБАВИТЬ КОНФИГУРАЦИЮ ДЛЯ НЕСКОЛЬКИХ МОНИТОРОВ
# ДОБАВИТЬ КОНФИГУРАЦИЮ ГРУПП

# Resize
bind = ALT, R, submap, resize
submap = resize

binde = , right, resizeactive, 10 0
binde = , left, resizeactive, -10 0
binde = , up, resizeactive, 0 -10
binde = , down, resizeactive, 0 10
binde = SHIFT, right, resizeactive, 100 0
binde = SHIFT, left, resizeactive, -100 0
binde = SHIFT, up, resizeactive, 0 -100
binde = SHIFT, down, resizeactive, 0 100

bind = , escape, submap, reset
submap = reset

bindm = SUPER, mouse:273, resizewindow
